数据提供商: Crustdata
根据姓名、雇主、标题、技能或位置中的一个筛选条件来搜索人员(Crustdata)
$0.009 / 条结果在 40 秒内响应
在 Crustdata 已索引的职业人员数据中查找人员;查询必须只指定一个原生字段条件:精确姓名、当前雇主、职位、技能或地点。每一行都记录了某一个人的基本资料。每页最多二十份资料,使用游标分页;将返回的游标传回,可继续读取前二十人之后的职业人员。一次只能选择一个条件:标题与地点同时输入是不被支持的,因此请选择最具有筛选意义的那个字段。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Crustdata endpoint /person/search on Glasser.bash
glasser run -p crustdata -e '/person/search' -i '{"limit":5,"filters":{"type":"(.)","field":"experience.employment_details.current.title","value":"Founder"}}' --endpoint-version 6使用接口版本 6。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"crustdata","endpoint":"/person/search","input":{"limit":5,"filters":{"type":"(.)","field":"experience.employment_details.current.title","value":"Founder"}},"endpoint_version":6}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 6,运行前请确认当前价格。
第 2 步尝试一个具体任务
建立联系候选名单时,可以审阅可用的人员记录,查找符合目标标准的潜在客户。
复制此提示词到你的 Agent,查找符合联系标准的潜在客户。
提示词
Use crustdata:/person/search on Glasser.
Find people matching my outreach criteria within the records returned by this endpoint.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"filters"
],
"properties": {
"limit": {
"type": "integer",
"maximum": 20,
"minimum": 1
},
"cursor": {
"type": "string",
"maxLength": 4096,
"minLength": 1
},
"filters": {
"type": "object",
"required": [
"field",
"type",
"value"
],
"properties": {
"type": {
"enum": [
"=",
"!=",
"<",
"=<",
">",
"=>",
"in",
"not_in",
"(.)",
"[.]"
],
"type": "string",
"description": "Comparison. Use \"=>\" and \"=<\" (\">=\" and \"<=\" are not accepted). \"in\" and \"not_in\" take an array; \"(.)\" is a fuzzy all-words match and \"[.]\" a case-insensitive exact-phrase match."
},
"field": {
"type": "string",
"pattern": "^[a-z0-9_]+(\\.[a-z0-9_]+)*$",
"maxLength": 512,
"minLength": 1,
"description": "Dot-path of one indexed person field. Common fields: basic_profile.name (full name), basic_profile.first_name, basic_profile.last_name, basic_profile.headline, basic_profile.location.country (full country name), basic_profile.location.state, basic_profile.location.city, experience.employment_details.current.title, experience.employment_details.current.name (current employer), experience.employment_details.current.company_website_domain, experience.employment_details.current.seniority_level, experience.employment_details.current.function_category, experience.employment_details.past.name, skills.professional_network_skills, education.schools.school. Get exact values from crustdata /person/search/autocomplete. Full list: https://docs.crustdata.com/person-docs/search/reference#searchable-fields"
},
"value": {
"anyOf": [
{
"anyOf": [
{
"type": "string"
},
{
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
{
"type": "boolean"
}
]
},
{
"type": "array",
"items": {
"anyOf": [
{
"type": "string"
},
{
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
{
"type": "boolean"
}
]
},
"maxItems": 20,
"minItems": 1
}
]
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}json
{
"limit": 5,
"filters": {
"type": "(.)",
"field": "experience.employment_details.current.title",
"value": "Founder"
}
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 每条返回结果 | 按返回的每条结果计费。 没有返回数据时不收费。 | $0.009 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.40 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |